<template>
    <div class="ui top attached label"><h4>Solicitudes Actuales</h4></div>
    <table class="ui selectable celled table">
        <thead>
            <tr>
                <th class="rigth aligned ten wide">Solicitudes</th> 
                <th class="center aligned">Tiempo Aprox.</th>
                <th class="center aligned">Rechazar / Aprobar</th>
            </tr>
        </thead>
        <tbody repeat.for="item of Solicitudes.SolicitudesActuales">
            <tr style="display: '${item.Visto}'">
                <td> <h4 class="ui header"> 
                        <div class="content"> <a href="#" click.delegate="HistorialUsuario(item)">${item.NombreUsuario}</a>
                            <div class="sub header">${item.Descripcion}</div>
                            <div class="sub header">${item.Pagos} pagos: ${item.PorcentajeInteres} % de interés.</div>
                            <div class="sub header">Monto: ${item.Monto}</div>
                            <div class="sub header">Monto: ${item.Monto}</div>

                        </div>
                    </h4></td>
                <td class="center aligned">${item.TiempoRestante}</td>
                <td class="center aligned"> 
                    <div class="ui buttons">
                        <button click.delegate="Solicitudes.VotacionRecApr(item, false)" class="ui negative button active"><i class="large black thumbs down outline icon"></button>
                        <div class="or"></div>
                        <button click.delegate="Solicitudes.VotacionRecApr(item, true)" class="ui positive button active"><i class="large black thumbs up outline icon"></button>
                    </div>
                </td> 
            </tr> 
        </tbody>
    </table>
</template>